%define upstream_name Services_ExchangeRates
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.7.0
Release:     	%mkrel 1
Summary:    	Performs currency conversion
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_ExchangeRates-%{version}.tgz
URL: 		http://pear.php.net/package/Services_ExchangeRates
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request
Requires:	php-pear-Cache_Lite
Requires:	php-pear-XML_Serializer >= 0.20.0
Requires:	php-pear >= 1.9.0
BuildArch: 	noarch

%description
Extendable to work with any source that provides exchange rate data, this
class downloads
exchange rates and the name of each currency (US Dollar, Euro, Maltese
Lira, etc.) and 
converts between any two of the available currencies (the actual number of
currencies 
supported depends on the exchange rate feed used).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_ExchangeRates.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_ExchangeRates.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_ExchangeRates
fi

%files
%defattr(-,root,root)
%doc docs/Services_ExchangeRates/*
%{peardir}/*
%{xmldir}/Services_ExchangeRates.xml


%changelog

* Sat Jan 14 2012 spuhler <spuhler> 0.7.0-1.mga2
+ Revision: 196150
- upgrade to 0.7.0
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.5.3-5.mga1
+ Revision: 44216
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_ExchangeRates

